Bug 1040480 - [CCC] (6.2.x) Running with SecurityManager enabled leads to issues
Summary: [CCC] (6.2.x) Running with SecurityManager enabled leads to issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.2.1
Assignee: Carlo de Wolf
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Depends On: 1034700 1035231 1035232 1038397 1044394
Blocks: eap62-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2013-12-11 13:56 UTC by Carlo de Wolf
Modified: 2014-07-17 00:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
This release of JBoss EAP 6 addresses several problems caused by use of the Java Security Manager. Further details can be reviewed at the linked Bugzilla ticket.
Clone Of:
Environment:
Last Closed: 2014-02-24 20:15:30 UTC
Type: Bug


Attachments (Terms of Use)

Comment 1 Brian Stansberry 2013-12-11 14:57:28 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1035232 is unrelated to AccessControlContext. Doesn't much matter if this is just a bookkeeping BZ.

https://bugzilla.redhat.com/show_bug.cgi?id=1036872 should be included as well.

Fix for both is https://github.com/jbossas/jboss-eap/pull/715

Comment 2 Carlo de Wolf 2013-12-18 09:33:51 UTC
https://github.com/jbossas/jboss-eap/pull/740

Comment 3 Scott Mumford 2014-01-20 01:04:03 UTC
Marking for exclusion from 6.2.1 release notes as tracking bug.

Comment 4 Scott Mumford 2014-01-21 03:36:24 UTC
Disregard comment 3. Marking for inclusion in 6.2.1 release notes.

Comment 5 Josef Cacek 2014-01-23 13:28:16 UTC
Verified in 6.2.1.CP.CR1-patch.


Note You need to log in before you can comment on or make changes to this bug.